{% import _self as menus %}

{#
We call a macro which calls itself to render the full tree.
@see http://twig.sensiolabs.org/doc/tags/macro.html
#}

{{ menus.menu_links(items, attributes, 0) }}

{% macro menu_links(items, attributes, menu_level) %}
  {% import _self as menus %}
  {% if items %}
    {% for item in items %}
      {{ link(item.title, item.url, { 'class': ['dropdown-item',  'dex__link', 'px-3'] }) }}
    {% endfor %}
  {% endif %}
{% endmacro %}
